Last modified: 2013-06-13 09:26:07 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38383 - Swap gitweb for GitBlit
Swap gitweb for GitBlit
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Chad H.
:
Depends on: 41961 39589
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 19:41 UTC by Chad H.
Modified: 2013-06-13 09:26 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Chad H. 2012-07-13 19:41:35 UTC
Gitweb is ugly and cluttered. Cgit is much cleaner and seems more intuitive. It also has a treeview \o/

Gerrit supports cgit out of the box, so it should be a simple config change + a package install.

Will also need to adjust the /gitweb/ redirects I made.
Comment 1 Ryan Lane 2012-07-16 18:59:47 UTC
We may want to consider gitlist (https://github.com/klaussilveira/gitlist/)
Comment 2 Chad H. 2012-08-23 19:49:45 UTC
We're going to use GitBlit: http://gitblit.com/

Just need to package it up and get it configured (once the gerrit manifest is in working order).
Comment 3 MZMcBride 2012-09-04 06:11:47 UTC
I ran into bug 39430 today. What's the status of this bug?
Comment 4 Chad H. 2012-09-04 10:59:52 UTC
(In reply to comment #3)
> I ran into bug 39430 today. What's the status of this bug?

Waiting on someone upstream to finish their gitblit plugin (which should be almost done, iirc). Out of the box Gitblit won't suit our needs since it doesn't respect Gerrit's ACLs.
Comment 5 spage 2012-09-19 04:02:20 UTC
I was going to file a bug to enable syntax highlighting in gitweb, but http://gitblit.com/features.html says "Syntax highlighting for popular source code types". Hooray!

If and when this is ready, I can update some wiki templates on mediawiki.org.
Comment 6 Nemo 2012-11-01 13:41:41 UTC
https://gerrit-review.googlesource.com/#/c/38453/ mentioned in https://groups.google.com/d/msg/repo-discuss/cMET67jUT5E/V9eEPeu4Y3IJ as last requirement (?) got merged yesterday.
Comment 7 Chad H. 2012-11-01 13:47:37 UTC
Yep. I've been testing out the plugin and it seems to work well. As soon as we upgrade to 2.5 we'll install the plugin.
Comment 8 Chad H. 2013-02-12 15:33:19 UTC
We've got the plugin in place https://gerrit.wikimedia.org/r/plugins/gitblit/.

Couple of rough edges that should be smoothed over before we make it the default viewer.
Comment 9 Chad H. 2013-06-05 21:10:23 UTC
git.wikimedia.org is now live. Gerrit points to it all over the place now. Will get apache rewrite rules in place for the old gitweb urls.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links